ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
_snd_ump_msg_set_key_sig Struct Reference

`#include <ump_msg.h>`

## Data Fields
uint8_t | type:4
uint8_t | group:4
uint8_t | format:2
uint8_t | addrs:2
uint8_t | channel:4
uint8_t | status_bank
uint8_t | status
uint8_t | sharps_flats:4
uint8_t | tonic_note:4
uint8_t | reserved1 [3]
uint32_t | reserved2 [2]

## Detailed Description

Set Key Signature Message (128bit)

## Field Documentation

## ◆ addrs

uint8_t _snd_ump_msg_set_key_sig::addrs

Address

## ◆ channel

uint8_t _snd_ump_msg_set_key_sig::channel

Channel

## ◆ format

uint8_t _snd_ump_msg_set_key_sig::format

Format

## ◆ group

uint8_t _snd_ump_msg_set_key_sig::group

UMP Group

## ◆ reserved1

uint8_t _snd_ump_msg_set_key_sig::reserved1[3]

Unused

## ◆ reserved2

uint32_t _snd_ump_msg_set_key_sig::reserved2[2]

Unused

## ◆ sharps_flats

uint8_t _snd_ump_msg_set_key_sig::sharps_flats

Sharps/Flats

## ◆ status

uint8_t _snd_ump_msg_set_key_sig::status

Status

## ◆ status_bank

uint8_t _snd_ump_msg_set_key_sig::status_bank

Status Bank

## ◆ tonic_note

uint8_t _snd_ump_msg_set_key_sig::tonic_note

Tonic Note 1

## ◆ type

uint8_t _snd_ump_msg_set_key_sig::type

UMP packet type

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h